#ifndef PICOLED_SSD1306_H
#define PICOLED_SSD1306_H

#include <cstdint>

#include <hardware/i2c.h>

#include "picoled.h"

namespace picoled
{

class ssd1306 : public oled
{
public:
  ssd1306(i2c_inst* i2c, uint8_t address);
  virtual ~ssd1306();

  void update() const override;

private:
  void command(uint8_t cmd) const;

  i2c_inst* i2c;
  uint8_t address;
  uint8_t* buffer;
};

}

#endif//PICOLED_SSD1306_H
