#include "picoled.h"

namespace picoled
{

oled::oled(size_t width, size_t height) :
  pixels(new pixel[width * height]),
  width(width),
  height(height)
{}

oled::~oled()
{
  delete[] pixels;
}

pixel& oled::operator()(int x, int y)
{
  return pixels[x + y * width];
}

const pixel& oled::operator()(int x, int y) const
{
  return pixels[x + y * width];
}

void oled::clear()
{
  for (int i = 0; i < width * height; i++)
  {
    pixels[i] = false;
  }
}

}
